Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7209

Summary: 2nd Swap parition
Product: [Retired] Red Hat Linux Reporter: Jeff Shao <shaoj>
Component: installerAssignee: Matt Wilson <msw>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.1CC: drdisk
Target Milestone: ---   
Target Release: ---   
Hardware: sparc   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-22 17:27:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jeff Shao 1999-11-21 19:04:32 UTC
I created 2 swap partition during install.

I noticed that the system is only configured with one swap area.

I have no entry in /etc/fstab on the 2nd swap

I also have to mkswap on /dev/sdaX

then run swapon to enable it.

thanks

Comment 1 Jay Turner 1999-11-22 17:58:59 UTC
Is there any reason that you are creating multiple swap partitions?  With the
introduction of the 2.2.x series of kernels, swap partitions up to 2G are
supported without any trouble.

I will forward this problem with the creation of multiple swap partitions to a
developer for further action.

Comment 2 Jeff Shao 1999-11-22 21:12:59 UTC
I have two HDs, and low memory on the Sparc classic, it make more sense to have
two swap area, one per hd so it will use both drive instead all hitting one
single drive.

Comment 3 Christian Hechelmann 1999-11-26 11:35:59 UTC
It certainly makes sense to specify more than one swap partition.

1. Total Size of swap area (I know 2.2.x lifted the 128MB barrier)
2. Load balancing. When you add N swap areas (possibly on different disks
   which are connected to different buses) with the same priority you
   get a RAID-0 (striping) like behaviour (-> increased bandwith) as the
   kernel uses these areas in parallel.

Comment 4 Jay Turner 2000-02-22 17:27:59 UTC
This issue is resolved in the latest installer (available in beta)